shortdark.net
Upgrading from Debian 8 (Jessie) to Debian 9 (Stretch) - Shortdark Web Development
The reason I started to look into upgrading from Debian 8 (Jessie) to Debian 9 (Stretch) was that I needed a higher version of Apache than 2.4.10 so I could add HTTP/2. The current stable version of Debian is Stretch. Jessie is only due to receive security updates until May 2018. Sounds like a good time to upgrade!